mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.IEnumerable System.IDisposable System.Runtime.InteropServices.ComVisible(true)

The class enumerates over an , loading every name and value, and storing them in a . A custom can be used.

You can instantiate a object that represents the resources of a specific culture by calling the method.

Stores all the resources localized for one particular culture, ignoring all other cultures, including any fallback rules.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with default properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Creates a new instance of the class using the system default that reads resources from the given stream.

  The of resources to be read. The stream should refer to an existing resources file.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You can use this constructor to support custom resource formats using a user-provided .

  Creates a new instance of the class using the specified resource reader.

  The reader that will be used.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Creates a new instance of the class using the system default that opens and reads resources from the given file.

  Resource file to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  All calls to methods on the after a call to this method might fail.

  can be safely called multiple times.

  The current implementation of calls (true).

  Closes and releases any resources used by this .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the memory it was occupying can be reclaimed by garbage collection.

  The current method is the implementation of . This implementation calls (true).

  Disposes of the resources (other than memory) used by the current instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  If the parameter is true, the current method frees all the resources associated with it as well as with all objects associated with it. If is false, the current method frees only the resources allocated to it, and ignores any objects associated with it.

  Releases resources (other than memory) associated with the current instance, closing internal managed objects if requested.

  Indicates whether the objects contained in the current instance should be explicitly closed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added

  Returns the preferred resource reader class for this kind of .

  Returns the for the preferred resource reader for this kind of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added

  Returns the preferred resource writer class for this kind of .

  Returns the for the preferred resource writer for this kind of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Collections.IDictionaryEnumerator

  Enumerators only allow reading the data in the collection. Enumerators cannot be used to modify the underlying collection.

  Initially, the enumerator is positioned before the first element in the collection. also brings the enumerator back to this position. At this position, calling throws an exception. Therefore, you must call to advance the enumerator to the first element of the collection before reading the value of .

  returns the same object until either or is called. sets to the next element.

  After the end of the collection is passed, the enumerator is positioned after the last element in the collection, and calling returns false. If the last call to returned false, calling throws an exception. To set to the first element of the collection again, you can call followed by .

  An enumerator remains valid as long as the collection remains unchanged. If changes are made to the collection, such as adding, modifying or deleting elements, the enumerator is irrecoverably invalidated and the next call to or throws an . If the collection is modified between and , will return the element that it is set to, even if the enumerator is already invalidated.

  You can use the property to access the value stored in the current element. Use the property to access the key of the current element. Use the property to access the value of the current element.

  The enumerator does not have exclusive access to the collection; therefore, enumerating through a collection is intrinsically not a thread-safe procedure. Even when a collection is synchronized, other threads could still modify the collection, which causes the enumerator to throw an exception. To guarantee thread safety during enumeration, you can either lock the collection during the entire enumeration or catch the exceptions resulting from changes made by other threads.

  Returns an that can iterate through the .

  An for this .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The name of the resource object is case sensitive. For a case-insensitive search, use .

  Searches for a resource object with the specified name.

  The requested resource.

  Case-sensitive name of the resource to search for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  If the value of the parameter is true, a resource with the name "Resource" is equivalent to the resource with the name "resource". Note, however, that this method always performs case-insensitive string comparisons using . The advantage is that results of case-insensitive string comparisons performed by this method are the same on all computers regardless of culture. The disadvantage is that the results are not consistent with the casing rules of all cultures.

  For example, the Turkish alphabet has two versions of the character I: one with a dot and one without a dot. In Turkish, the character I (Unicode 0049) is considered the uppercase version of a different character ı (Unicode 0131). The character i (Unicode 0069) is considered the lowercase version of yet another character İ (Unicode 0130). According to these casing rules, a case-insensitive string comparison of the characters i (Unicode 0069) and I (Unicode 0049) should fail for the culture "tr-TR" (Turkish in Turkey). Using the GetObject method with set to true, this comparison succeeds.

  Searches for a resource object with the specified name in a case-insensitive manner, if requested.

  The requested resource.

  Name of the resource to search for. Indicates whether the case of the specified name should be ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Searches for a resource with the specified name.

  The value of a resource, if the value is a .

  Name of the resource to search for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` ``

  If the value of the parameter is true, a resource with the name "Resource" is equivalent to the resource with the name "resource". Note, however, that this method always performs case-insensitive string comparisons using . The advantage is that results of case-insensitive string comparisons performed by this method are the same on all computers regardless of culture. The disadvantage is that the results are not consistent with the casing rules of all cultures.

  For example, the Turkish alphabet has two versions of the character I: one with a dot and one without a dot. In Turkish, the character I (Unicode 0049) is considered the uppercase version of a different character ı (Unicode 0131). The character i (Unicode 0069) is considered the lowercase version of yet another character İ (Unicode 0130). According to these casing rules, a case-insensitive string comparison of the characters i (Unicode 0069) and I (Unicode 0049) should fail for the culture "tr-TR" (Turkish in Turkey). Using the GetString method with set to true, this comparison succeeds.

  Searches for a resource with the specified name in a case-insensitive manner, if requested.

  The value of a resource, if the value is a .

  Name of the resource to search for. Indicates whether the case of the case of the specified name should be ignored.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Resources.IResourceReader To be added

  Indicates the used to read the resources.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Reads all the resources and stores them in a indicated in the property.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an object to avoid a race condition with Dispose. This member is not intended to be used directly from your code.

  An enumerator for the current object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.Hashtable To be added

  The in which the resources are stored.